classification
Title: IDLE should not be replacing warnings.formatwarning
Type: behavior Stage: resolved
Components: IDLE Versions: Python 3.3, Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: terry.reedy Nosy List: Arfrever, brett.cannon, kbk, python-dev, roger.serwy, terry.reedy
Priority: normal Keywords:

Created on 2013-06-17 14:59 by brett.cannon, last changed 2013-06-29 03:55 by terry.reedy. This issue is now closed.

Messages (3)
msg191344 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2013-06-17 14:59
Both idlelib.run and idlelib.PyShell replace warning.formatwarning which is a no-no. Only warning.showwarning is design to be replaced in any way. The proper solution is to replace warnings.showwarning with code that calls whatever formatting function you provide.
msg191960 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2013-06-27 19:01
See #18101 for patch that will fix this also.
msg192027 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-06-29 03:53
New changeset c15d0baac3d6 by Terry Jan Reedy in branch '3.3':
Issue *18081, #18242: Change Idle warnings capture in PyShell and run to stop
http://hg.python.org/cpython/rev/c15d0baac3d6

New changeset 89e0d33cb978 by Terry Jan Reedy in branch '2.7':
Issue *18081, #18242: Change Idle warnings capture in PyShell and run to stop
http://hg.python.org/cpython/rev/89e0d33cb978
History
Date User Action Args
2013-06-29 03:55:16terry.reedysetstatus: open -> closed
resolution: fixed
stage: needs patch -> resolved
2013-06-29 03:53:42python-devsetnosy: + python-dev
messages: + msg192027
2013-06-27 19:01:56terry.reedysetmessages: + msg191960
2013-06-27 19:01:27terry.reedysetmessages: - msg191926
2013-06-27 01:15:49terry.reedysetmessages: + msg191926
2013-06-26 18:50:48terry.reedysetassignee: terry.reedy
versions: + Python 2.7, Python 3.3
2013-06-17 20:24:22serhiy.storchakasetnosy: + terry.reedy, kbk, roger.serwy
2013-06-17 18:59:16Arfreversetnosy: + Arfrever
2013-06-17 14:59:33brett.cannonlinkissue18081 dependencies
2013-06-17 14:59:20brett.cannoncreate